package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 健康指标关系对象 hl_metrics_rela
 *
 * @author jjt
 * @date 2024-09-02
 */
@ApiModel(value = "HlMetricsRela", description = "健康指标关系")
public class HlMetricsRela extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关系ID */
    @ApiModelProperty("关系ID")
    @TableId
    private Long relaId;

    /** 健康度编码 */
    @ApiModelProperty("健康度编码")
    @Excel(name = "健康度编码")
    private String hlCode;

    /** 计算公式 */
    @ApiModelProperty("计算公式")
    @Excel(name = "计算公式")
    private String exp;

    public void setRelaId(Long relaId)
    {
        this.relaId = relaId;
    }

    public Long getRelaId()
    {
        return relaId;
    }
    public void setHlCode(String hlCode)
    {
        this.hlCode = hlCode;
    }

    public String getHlCode()
    {
        return hlCode;
    }
    public void setExp(String exp)
    {
        this.exp = exp;
    }

    public String getExp()
    {
        return exp;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("relaId", getRelaId())
            .append("hlCode", getHlCode())
            .append("exp", getExp())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
